# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['seismic_classifier',
 'seismic_classifier.ai',
 'seismic_classifier.api',
 'seismic_classifier.api.rest',
 'seismic_classifier.core',
 'seismic_classifier.scripts',
 'seismic_classifier.settings']

package_data = \
{'': ['*']}

install_requires = \
['aiohttp>=3.8.4,<4.0.0',
 'faust>=1.10.4,<2.0.0',
 'gdown>=4.7.1,<5.0.0',
 'ipdb>=0.13.13,<0.14.0',
 'ipython>=8.13.2,<9.0.0',
 'multiprocess>=0.70.14,<0.71.0',
 'numpy>=1.24.3,<2.0.0',
 'pickled-carrots>=0.1.1,<0.2.0',
 'quilt3>=5.3.1,<6.0.0',
 'quilt>=2.9.15,<3.0.0',
 'torch>=2.0.1,<3.0.0',
 'torchaudio>=2.0.2,<3.0.0',
 'torchvision>=0.15.2,<0.16.0',
 'useis>=1.0.2,<2.0.0']

entry_points = \
{'console_scripts': ['classification_server = '
                     'seismic_classifier.api.rest.server:start']}

setup_kwargs = {
    'name': 'seismic-classifier',
    'version': '0.2.8',
    'description': 'trace by trace seismic classification',
    'long_description': '# swagger-client\nNo description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)\n\nThis Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:\n\n- API version: 0.1.0\n- Package version: 1.0.0\n- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen\n\n## Requirements.\n\nPython 2.7 and 3.4+\n\n## Installation & Usage\n### pip install\n\nIf the python package is hosted on Github, you can install directly from Github\n\n```sh\npip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git\n```\n(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)\n\nThen import the package:\n```python\nimport swagger_client \n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\nThen import the package:\n```python\nimport swagger_client\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\nfrom __future__ import print_function\nimport time\nimport swagger_client\nfrom swagger_client.rest import ApiException\nfrom pprint import pprint\n\n# create an instance of the API class\napi_instance = swagger_client.DefaultApi(swagger_client.ApiClient(configuration))\nstream = \'stream_example\' # str | \n\ntry:\n    # Predict\n    api_response = api_instance.predict_classifier_predict_stream_mseed_post(stream)\n    pprint(api_response)\nexcept ApiException as e:\n    print("Exception when calling DefaultApi->predict_classifier_predict_stream_mseed_post: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to */*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**predict_classifier_predict_stream_mseed_post**](docs/DefaultApi.md#predict_classifier_predict_stream_mseed_post) | **POST** /classifier/predict/stream/mseed | Predict\n\n## Documentation For Models\n\n - [BodyPredictClassifierPredictStreamMseedPost](docs/BodyPredictClassifierPredictStreamMseedPost.md)\n - [ClassifierResults](docs/ClassifierResults.md)\n - [HTTPValidationError](docs/HTTPValidationError.md)\n - [ValidationError](docs/ValidationError.md)\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n\n## Author\n\n\n',
    'author': 'Jean-Philippe Mercier',
    'author_email': 'jp.mercier@esgsolutions.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<3.12',
}


setup(**setup_kwargs)
